import { FormBuilder, Validators } from '@angular/forms';
import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-contact-us',
  templateUrl: './contact-us.component.html',
  styleUrls: ['./contact-us.component.css']
})
export class ContactUsComponent implements OnInit {

  public userForm;

  public showInvalidMessage: boolean = false;
  public invalidEntry = 'Invalid entry!';

  public showValidMessage: boolean = false;
  public validEntry = 'Valid Entry!'

  constructor(private formBuilder: FormBuilder) { }
  ngOnInit(): void {
    this.userForm = this.formBuilder.group({
      firstName: ['', [Validators.required,Validators.pattern('^[a-zA-Z]+$')]],
      lastName: ['',[ Validators.required,Validators.pattern('^[a-zA-Z]+$')]],
      email: ['', [ Validators.required,Validators.pattern('[a-zA-Z0-9.-_]{1,}@[a-zA-Z.-]{2,}[.]{1}[a-zA-Z]{2,}')]],
      message: ['', [Validators.required, Validators.minLength(1), Validators.maxLength(200)]]
    });
  }

  onSubmit(){
    if(this.userForm.valid){
      this.showInvalidMessage = false;
      this.showValidMessage = true;
    } else {
      this.showInvalidMessage = true;
      this.showValidMessage = false;
    }
  }
  

}
